aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorWolfgang Müller2024-03-30 13:40:41 +0100
committerWolfgang Müller2024-03-30 13:43:46 +0100
commit147ee179b4c21da5a35b6c34e475eef86039ddc6 (patch)
treeb7d5aff83434e611e2965caf408eb9bc1dd99962
parentb67a015804e40f314aaad8def4a9cf7f41582cba (diff)
downloadpramantha-147ee179b4c21da5a35b6c34e475eef86039ddc6.tar.gz
app-portage/bosun: add 1.4.0.-r1, drop 1.4.0
Migrate to EAPI 8 and support the verify-sig USE flag.
-rw-r--r--app-portage/bosun/Manifest3
-rw-r--r--app-portage/bosun/bosun-1.4.0-r1.ebuild46
-rw-r--r--app-portage/bosun/bosun-1.4.0.ebuild28
3 files changed, 48 insertions, 29 deletions
diff --git a/app-portage/bosun/Manifest b/app-portage/bosun/Manifest
index e8a0bb1..834e8f5 100644
--- a/app-portage/bosun/Manifest
+++ b/app-portage/bosun/Manifest
@@ -1,3 +1,4 @@
+DIST bosun-1.4.0.sha.sig 239 BLAKE2B e3aa1dd0a6e41b0e2f855dbf4a4555f0494144f14ca81e43c7b8b4dae692ce7d83777928290522693b23b9ea4f35fdab7d0038653088260fc6eb6d1f4e20f62c SHA512 5643b5306447364cfd2b0b71ade931d268064841bad5b5e7603b7c937600c7e76093118ff463ed12aaac86bbe97e58d29583327973a0283f642a121edaaf4092
DIST bosun-1.4.0.tar.gz 4818 BLAKE2B 1f951507857d94078b4e8c2cb3b53040c668fd7e78db30ebc3c20bdfb283619a12d5540242f43964bd07281ec9bb777e2dc27ece190e71701e82f6476592596f SHA512 a973a718c9e5ceff6b4f16a510e416dbd516ca8fcf4e298548296a01060fdfb058afe98f1b980d8d77cc84ee58a2c8f7492b5313fbec69c926db3190edf2a0ce
-EBUILD bosun-1.4.0.ebuild 559 BLAKE2B 8a31305de4f59b70d59fbe221bf2e6f741c6b81ba113d6887d66560831b9548bffd01e0a65d80714f9b1aaf0313a86614c62ec825ee222a1ce6017943d59c1ed SHA512 b3e835bfd3b9175da6874dfe4b12b6404c2bf31a75983ff9a6031320c7dc32f0fe4a3a864fa7d2ea62b5f58180b1533cc09a2e86d7ce1f095379132fc2eb1126
+EBUILD bosun-1.4.0-r1.ebuild 961 BLAKE2B 8d924fa107b539fac4a99afbcf4b57a070639e17913aff3609d5ce9b6cefaae2f3da4ac59188a561001fbdbba80bdf9cb169a3d3b46e43ba5e11de701b5597cb SHA512 38f7ae1b1ed094b26c8edae7dfca501258e2aa8cb64c15fcbd75a870bef702dc5e5ad63297a99bb6d3dbc8ec8f6ab66fe4e4e9e85e0a446c56e94bd6fd21ddbf
MISC metadata.xml 219 BLAKE2B 4017e2b1f6b36f72c186cfeb0955be57076a02d087acfd6caf9b9ec56509b5299be8d40dddaffd04433bb290f6dd35c94c59ac02a4f1ad7e63b13648e465e594 SHA512 555d3bce3f8cd9b4d78f59f494c326d7893f12c1907c1eb92107595886fc4a5e89b8b9fda7f434e021a9eede5dfd6d0c1dfee721c268ccad3d6a1865a92204e0
diff --git a/app-portage/bosun/bosun-1.4.0-r1.ebuild b/app-portage/bosun/bosun-1.4.0-r1.ebuild
new file mode 100644
index 0000000..0d8b279
--- /dev/null
+++ b/app-portage/bosun/bosun-1.4.0-r1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+VERIFY_SIG_METHOD="signify"
+inherit verify-sig
+
+DESCRIPTION="Manage portage roles with stow(8)"
+HOMEPAGE="https://git.oriole.systems/bosun"
+SRC_URI="
+ https://git.oriole.systems/${PN}/snapshot/${P}.tar.gz
+ verify-sig? (
+ https://git.oriole.systems/${PN}/snapshot/${P}.tar.gz.asc
+ -> ${P}.sha.sig
+ )
+"
+
+RESTRICT="mirror"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="amd64 x86"
+
+DEPEND="app-admin/stow"
+RDEPEND="${DEPEND}"
+
+VERIFY_SIG_OPENPGP_KEY_PATH="/usr/share/signify-keys/oriole-systems-20240330.pub"
+
+src_unpack() {
+ if use verify-sig; then
+ cp "${DISTDIR}"/${P}.{sha.sig,tar.gz} "${WORKDIR}" || die
+ verify-sig_verify_signed_checksums \
+ ${P}.sha.sig sha256 ${P}.tar.gz
+ fi
+ default
+}
+
+src_compile() { :; }
+
+src_install() {
+ emake PREFIX=/usr DESTDIR="${D}" install
+
+ insinto /usr/share/fish/vendor_completions.d
+ doins contrib/completion/bosun.fish
+}
diff --git a/app-portage/bosun/bosun-1.4.0.ebuild b/app-portage/bosun/bosun-1.4.0.ebuild
deleted file mode 100644
index 96bfd99..0000000
--- a/app-portage/bosun/bosun-1.4.0.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DESCRIPTION="Manage portage roles with stow(8)"
-HOMEPAGE="https://git.oriole.systems/bosun"
-SRC_URI="https://git.oriole.systems/${PN}/snapshot/${P}.tar.gz"
-
-RESTRICT="mirror"
-
-LICENSE="ISC"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE=""
-
-DEPEND="app-admin/stow"
-RDEPEND="${DEPEND}"
-BDEPEND=""
-
-src_compile() { :; }
-
-src_install() {
- emake PREFIX=/usr DESTDIR="${D}" install
-
- insinto /usr/share/fish/vendor_completions.d
- doins contrib/completion/bosun.fish
-}